<ion-header>
  <ion-navbar>
    <ion-title>{{lessonTitle}}</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <div class="lessonContent">
      <ion-card padding>
          <div class="control-image">
              <button ion-button (click)="onclickConv()" [ngStyle]="{'background-color': button_color[0]}">CONV.</button>
              <button ion-button (click)="onclickVocab()" [ngStyle]="{'background-color': button_color[1]}">VOCAB.</button>
              <button ion-button (click)="onclickGramm()" [ngStyle]="{'background-color': button_color[2]}">GRAMM.</button>
            </div>
            <div class="control-audio">
              <button ion-button (click)="onClickBackward()"><ion-icon name="skip-backward"></ion-icon></button>
              <button ion-button id="play-pause" (click)="onclickAudioControl()"><ion-icon name="play" role="img" class="icon icon-md ion-md-play" aria-label="play" ng-reflect-name="play"></ion-icon></button>
              <button id="repeat" ion-button (click)="onclickAudioRepeat()">
                <i class="fa fa-repeat"></i>
              </button>
              <button ion-button (click)="onClickForward()"><ion-icon name="skip-forward"></ion-icon></button>
            </div>
            <audio controls controlsList="nodownload" id="myAudio" src="{{audioContent}}">
              Your browser does not support the audio element.
              </audio>
      </ion-card>

      <ion-scroll class="scroll-image" scrollY="true" direction="y" style="height: 350px;">
          <ion-card>
              <img src="{{imageContent}}"/>
          </ion-card>
      </ion-scroll>
  </div>
</ion-content>
